Index: /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/surf_land_orchidee_mod.F90	(revision 2924)
+++ /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/surf_land_orchidee_mod.F90	(revision 2925)
@@ -32,5 +32,4 @@
   PUBLIC  :: surf_land_orchidee
 
-  LOGICAL, ALLOCATABLE, SAVE :: flag_omp(:)
 CONTAINS
 !
Index: /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90
===================================================================
--- /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 2924)
+++ /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 2925)
@@ -144,5 +144,7 @@
     INTEGER                                   :: error
     INTEGER, SAVE                             :: nb_fields_cpl ! number of fields for the climate-carbon coupling (between ATM and ORCHIDEE). 
+    !$OMP THREADPRIVATE(nb_fields_cpl)
     REAL, SAVE, ALLOCATABLE, DIMENSION(:,:)   :: fields_cpl    ! Fluxes for the climate-carbon coupling
+    !$OMP THREADPRIVATE(fields_cpl)
     REAL, DIMENSION(klon)                     :: swdown_vrai
     CHARACTER (len = 20)                      :: modname = 'surf_land_orchidee'
Index: /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/surf_land_orchidee_noz0h_mod.F90
===================================================================
--- /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 2924)
+++ /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 2925)
@@ -33,5 +33,4 @@
   PUBLIC  :: surf_land_orchidee
 
-  LOGICAL, ALLOCATABLE, SAVE :: flag_omp(:)
 CONTAINS
 !
Index: /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/surface_data.F90
===================================================================
--- /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/surface_data.F90	(revision 2924)
+++ /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/surface_data.F90	(revision 2925)
@@ -9,10 +9,11 @@
   
   LOGICAL, SAVE          :: ok_veget      ! true for use of vegetation model ORCHIDEE
-  CHARACTER(len=10), SAVE :: type_veget    ! orchidee/y/bucket/n/betaclim
   !$OMP THREADPRIVATE(ok_veget)
-  ! Martin
+
+  CHARACTER(len=10), SAVE :: type_veget   ! orchidee/y/bucket/n/betaclim
+  !$OMP THREADPRIVATE(type_veget)
+
   LOGICAL, SAVE          :: ok_snow       ! true for coupling to snow model SISVAT
   !$OMP THREADPRIVATE(ok_snow)
-  ! Martin
 
   CHARACTER(len=6), SAVE :: type_ocean    ! force/slab/couple
Index: /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/wake.F90
===================================================================
--- /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/wake.F90	(revision 2924)
+++ /LMDZ5/branches/LMDZ_tree_FC/libf/phylmd/wake.F90	(revision 2925)
@@ -178,4 +178,6 @@
   LOGICAL, SAVE                                         :: flag_wk_check_trgl
   !$OMP THREADPRIVATE(flag_wk_check_trgl)
+  INTEGER, SAVE                                         :: iflag_wk_check_trgl
+  !$OMP THREADPRIVATE(iflag_wk_check_trgl)
 
   REAL                                                  :: delta_t_min
@@ -347,4 +349,8 @@
   CALL getin_p('flag_wk_check_trgl ', flag_wk_check_trgl)
   WRITE(*,*) 'flag_wk_check_trgl=', flag_wk_check_trgl
+  WRITE(*,*) 'flag_wk_check_trgl OBSOLETE. Utilisr iflag_wk_check_trgl plutot'
+  iflag_wk_check_trgl=0 ; IF (flag_wk_check_trgl) iflag_wk_check_trgl=1
+  CALL getin_p('iflag_wk_check_trgl ', iflag_wk_check_trgl)
+  WRITE(*,*) 'iflag_wk_check_trgl=', iflag_wk_check_trgl
 
   first=.false.
@@ -1793,5 +1799,5 @@
   ! Filter out bad wakes
 
-  IF (flag_wk_check_trgl) THEN
+  IF (iflag_wk_check_trgl>=1) THEN
     ! Check triangular shape of dth profile
     DO i = 1, klon
@@ -1805,5 +1811,5 @@
           wape2(i) = -1.
           !! print *,'wake, rej 1'
-        ELSE IF (abs(2.*sum_dth(i)/(hw0(i)*dthmin(i)) - 1.) > 0.5) THEN
+        ELSE IF (iflag_wk_check_trgl==1.AND.abs(2.*sum_dth(i)/(hw0(i)*dthmin(i)) - 1.) > 0.5) THEN
           wape2(i) = -1.
           !! print *,'wake, rej 2'
